Index: doc/options.txt
===================================================================
--- doc/options.txt	(revision 4103)
+++ doc/options.txt	(working copy)
@@ -40,7 +40,7 @@
 leading '--' must be omitted.  The short option names with a single
 '-' cannot be used, simply use the long name instead. 
 <p>
-;--output-dir=filename
+;--output-dir=directory
 :     The directory in which all output files are written. It defaults
 to the current working directory, i.e. the directory the command is
 executed from.
@@ -93,10 +93,6 @@
 It is entirely dependent on the device firmware which code pages are
 supported.
 <p>
-;--charset=name
-: 	This option is obsolete. Change the character set with the --code-page
-option.
-<p>
 ;--lower-case
 : 	Allow labels to contain lower case letters.  Note that most or all
 Garmin devices are not able to display lower case letters at an angle
@@ -146,7 +142,7 @@
 is not the right thing to do. Words following an opening bracket '(' are ignored. 
 :	See also option road-name-config.  
 <p>
-;--road-name-config=file
+;--road-name-config=filename
 :	This option handles the problem that some countries have road names which 
 often start or end with very similar words, e.g. in France the first word
 is very often 'Rue', often followed by a preposition like 'de la' or 'des'.
@@ -171,12 +167,12 @@
 :	The option specifies the path to a file which gives the details. See 
 comments in the sample roadNameConfig.txt for further details.
 <p>
-;--mdr7-excl 
+;--mdr7-excl=name[,name...]
 :	This option allows you to specify words which should not be in the road index.
 It was added before option road-name-config and is probably no longer needed.
 :	Example usage: --x-mdr7-excl="Road, Street, Straße, Weg"
 <p>
-;--mdr7-del
+;--mdr7-del=name[,name...]
 :	Use this option if your style adds strings to the labels of roads which you
 want to see in the map but which should not appear in the result list
 of a road name / address search. The list is used like this:
@@ -186,7 +182,7 @@
 :	Example: Assume your style adds surface attributes like 'pav.' or 'unp.' to a road
 label. You can use --mdr7-del="pav.,unp." to remove these appendixes from the index.
 <p>
-;--poi-excl-index
+;--poi-excl-index=poi[-poi][,poi[-poi]...]
 :	By default, mkgmap indexes the following POI types with a non-empty label:
 ::	- 0x00 .. 0x0f (cities, sub type 0, type <= 0xf)
 ::	- 0x2axx..0x30xx (Food & Drink, Lodging, ...)
@@ -288,7 +284,7 @@
 number used in the overview map and tdb file.  The default
 number is 63240000.
 <p>
-;--overview-levels
+;--overview-levels=level:resolution[,level:resolution...]
 :   Like levels, specifies additional levels that are to be written to the
 overview map. Counting of the levels should continue. Up to 8 additional 
 levels may be specified, but the lowest usable resolution with MapSource 
@@ -303,7 +299,7 @@
 after the overview map was created. The default is to keep the files.  
 <p>
 === Style options ===
-;--style-file=file
+;--style-file=filename
 : 	Specify an external file to obtain the style from.  "file" can
 be a directory containing files such as info, lines, options
 (see resources/styles/default for an example).  The directory
@@ -326,7 +322,7 @@
 directory or zip file containing multiple styles. If --style-file 
 is not used, it selects one of the built-in styles. 
 <p>
-;--style-option
+;--style-option=tag[=value][;tag[=value]...]
 : 	Provide a semicolon separated list of tags which can be used in the style.
 The intended use is to make a single style more flexible, e.g.
 you may want to use a slightly different set of rules for a map of
@@ -348,7 +344,7 @@
 available within that file. If it is also preceded by the style
 option it will only check that style.
 <p>
-;--levels=levels code
+;--levels=level:resolution[,level:resolution...]
 : 	Change the way that the levels on the map correspond to the zoom
 levels in the device. See customisation help. The hard coded default is:
 "0:24, 1:22, 2:20, 3:18, 4:16", although each style can have
@@ -355,22 +351,19 @@
 its own default. The default style for example overwrites it with
 "0:24, 1:22, 2:20, 3:18". Up to 8 levels may be specified.
 <p>
-;--name-tag-list
-: 	Get the tag that will be used to supply the name.  Useful for
-language variations.  You can supply a list and the first one
-will be used.  e.g. --name-tag-list=name:en,int_name,name
-<p>                                                            
-;--map-features=file
-: 	This option is ignored; use the --style-file option instead.
+;--name-tag-list=tag[,tag...]
+: 	Specify the tag that will be used to supply the name.  Useful for
+language variations.  You can supply a list of tags and the first one
+found will be used.  e.g. --name-tag-list=name:en,int_name,name
 <p>
 ===Product description options===
 
-;--family-id
+;--family-id=integer
 : 	This is an integer that identifies a family of products.
 Range: [1..9999]
 Mkgmap default: 6324
 <p>
-;--family-name
+;--family-name=name
 : 	If you build several maps, this option describes the
 family name of all of your maps. Garmin will display this
 in the map selection screen.
@@ -377,25 +370,25 @@
 <p>
 Example: --family-name="OpenStreetmap mkgmap XL 2019"
 <p>
-;--product-id
+;--product-id=integer
 : 	This is an integer that identifies a product within a family.
 It is often just 1, which is the default.
 <p>
-;--product-version
+;--product-version=integer
 : 	The version of the product. Default value is 100 which means version 1.00.
 <p>
-;--series-name
+;--series-name=name
 : 	This name will be displayed in MapSource in the map selection
 drop-down. The default is "OSM map".
 <p>
-;--area-name
+;--area-name=name
 :   Area name is displayed on Garmin units (or at least on eTrex) as the second 
 part of the mapname in the list of the individual maps.
 <p>
-;--copyright-message=note
+;--copyright-message=text
 : 	Specify a copyright message for files that do not contain one.
 <p>
-;--copyright-file=file
+;--copyright-file=filename
 : 	Specify copyright messages from a file.
 Note that the first copyright message is not displayed on a device, but is 
 shown in BaseCamp. The copyright file must include at least two lines and
@@ -403,7 +396,7 @@
 $MKGMAP_VERSION$, $JAVA_VERSION$, $YEAR$, $LONG_DATE$, $SHORT_DATE$ and $TIME$.
 Time and date substitutions use the local date and time formats.
 <p>
-;--license-file=file
+;--license-file=filename
 : 	Specify a file which content will be added as license.
 The license file must be UTF-8 encoded.
 The following symbols will be substituted by mkgmap:
@@ -437,7 +430,7 @@
 Recommended value is 8 to 15, default is 8.
 :	See also polygon-size-limits.
 <p>
-;--polygon-size-limits=limits code
+;--polygon-size-limits=resolution:value[,resolution:value...]
 :   Allows you to specify different min-size-polygon values for each resolution.
 Sample:  
 --polygon-size-limits="24:12, 18:10, 16:8, 14:4, 12:2, 11:0"
@@ -461,7 +454,7 @@
 2 * 3601 * 3601 = 25.934.402 bytes. Other files are supported as long as the 
 formular sqrt(size/2) gives an integer value.
 <p>
-;--dem=path[,path]
+;--dem=path[,path...]
 :   The option expects a comma separated list of paths to directories or zip 
 files containing *.hgt files. Directories are searched for *.hgt files 
 and also for *.hgt.zip and *.zip files
@@ -470,7 +463,7 @@
 files, some have so called voids which are areas without data. Those should be 
 avoided.
 <p>
-;--dem-dists=number[,number]
+;--dem-dists=number[,number...]
 :   If given, the option specifies the resolution(s) or zoom level for the DEM 
 data. If not given, mkgmap tries to determine a reasonable value based on the 
 resolution found in the *.hgt files. For desktop programs like MapSource or 
@@ -500,7 +493,7 @@
 for which DEM data should be added to the map. If not given, the DEM data will
 cover the full tile area.
 <p>   
-;--overview-dem-dist=number
+;--overview-dem-dist=integer
 :   If given, the option specifies the resolution(s) for the DEM data in the
 overview map. If not given or 0, mkgmap will not add DEM to the overview map.
 Reasonable values depend on the size of the area and the lowest resolution
@@ -509,7 +502,7 @@
 <p>
 === Miscellaneous options ===
 
-;--max-jobs[=number]
+;--max-jobs[=integer]
 : 	When number is specified, allow that number of maps to be
 processed concurrently. If number is not specified, the limit
 is set equal to the number of CPU cores. If this option is not
@@ -520,16 +513,18 @@
 : 	Don't quit whole application if an exception occurs while
 processing a map - continue to process the other maps.
 <p>
-;--block-size=number
+;--block-size=integer
 : 	Changes the block size that is used in the generated map. This
 option is not usually needed, but sometimes an error message
 will ask you to try a value for this option.
-<p>
+<p>     
 ;--net
-: 	Obsolete, use --route instead.
-<p>
+: 	Tells mkgmap to write NET data. NET data is needed for routing and for  
+address search. 
+<p>                                                            
 ;--route
-: 	Create maps that support routing.
+: 	Tells mkgmap to write NET and NOD data and thus to create a map 
+that supports routing.
 <p>
 ;--drive-on=left|right|detect|detect,left|detect,right
 : 	Explicitly specify which side of the road vehicles are
@@ -543,11 +538,7 @@
 Use the --bounds option to make sure that the detection 
 finds the correct country. 
 <p>
-;--drive-on-left
-;--drive-on-right
-: 	Deprecated: Use drive-on instead.
-The options are translated to drive-on=left|right. 
-<p>
+
 ;--check-roundabouts
 : 	Check that roundabouts have the expected direction (clockwise
 when vehicles drive on the left). Roundabouts that are complete
@@ -669,12 +660,11 @@
 ::First rule that applies of
 ::* the node with role=label
 ::* the centre point of the biggest area
-;--pois-to-areas-placement[=taglist]
-:     A semicolon separated list of tag=value definitions. A POI is placed at the first
-node of the polygon tagged with the first tag/value pair. If none of the nodes are
-tagged with the first tag-value pair the first node tagged with the second tag-value
-pair is used and so on. If none of the tag-value pairs matches or the taglist is empty,
-the centre of the polygon is used.
+;--pois-to-areas-placement=tag=value[;tag=value...]
+:     A POI is placed at the first node of the polygon tagged with the first tag/value
+pair. If none of the nodes are tagged with the first tag-value pair the first node
+tagged with the second tag-value pair is used and so on. If none of the tag-value pairs
+matches or the taglist is empty, the centre of the polygon is used.
 It is possible to define wildcards for tag values like entrance=*.
 <p>Default: entrance=main;entrance=yes;building=entrance
 <p>
@@ -686,7 +676,7 @@
 This option can be combined with the generate-sea options multipolygon, polygons 
 and land-tag. The coastlinefile option is ignored if precomp-sea is set.      
 <p>
-;--coastlinefile=filename[,filename]
+;--coastlinefile=filename[,filename...]
 : 	Defines a comma separated list of files that contain coastline 
 data. The coastline data from the input files is removed if 
 this option is set. Files must have OSM or PBF fileformat.	
@@ -749,12 +739,6 @@
 : 	Write a .nsi file that can be used with the Nullsoft Scriptable Install System
 (NSIS) to create a Windows Mapsource Installer.
 <p>
-;--make-all-cycleways
-:   Deprecated, use --make-opposite-cycleways instead. Former meaning: 
-<div class=preserve><nowiki>
-Turn on all of the options that make cycleways.
-
-</nowiki></div>
 ;--make-opposite-cycleways
 : 	Some one-way streets allow bicycle traffic in the reverse
 direction and this option makes a way with the same points as
@@ -822,7 +806,7 @@
 hint where to leave the motorway/trunk.
 The first part must have type 0x08 or 0x09 so that Garmin uses the hint. 
 
-;--delete-tags-file=FILENAME
+;--delete-tags-file=filename
 : 	Names a file that should contain one or more lines of the form
 TAG=VALUE or TAG=*. Blank lines and lines that start with
 a # or ; are ignored. All tag/value pairs in the OSM input are
@@ -884,3 +868,21 @@
 The tag mkgmap:drawLevel can be used to override the
 natural area of a polygon, so forcing changes to the rendering order. 
 
+=== Deprecated and Obsolete Options ===
+<p>
+;--drive-on-left
+;--drive-on-right
+: 	Deprecated; use drive-on instead.
+The options are translated to drive-on=left|right. 
+<p>
+;--make-all-cycleways
+:   Deprecated; use --make-opposite-cycleways instead. Former meaning: 
+<div class=preserve><nowiki>
+Turn on all of the options that make cycleways.
+</nowiki></div>
+<p>
+;--charset=name
+: 	Obsolete; use --code-page instead.
+<p>
+;--map-features=filename
+: 	Obsolete; use --style-file instead.
Index: resources/help/en/options
===================================================================
--- resources/help/en/options	(revision 4103)
+++ resources/help/en/options	(working copy)
@@ -38,7 +38,7 @@
 	leading '--' must be omitted.  The short option names with a single
 	'-' cannot be used, simply use the long name instead. 
 
---output-dir=filename
+--output-dir=directory
 	The directory in which all output files are written. It defaults
 	to the current working directory, i.e. the directory the command is
 	executed from.
@@ -90,10 +90,6 @@
 	It is entirely dependent on the device firmware which code pages are
 	supported.
 	
---charset=name
-	This option is obsolete. Change the character set with the --code-page
-	option.
-
 --lower-case
 	Allow labels to contain lower case letters.  Note that most or all
 	Garmin devices are not able to display lower case letters at an angle
@@ -142,7 +138,7 @@
 	is not the right thing to do. Words following an opening bracket '(' are ignored. 
 	See also option road-name-config.  
 
---road-name-config=file
+--road-name-config=filename
 	This option handles the problem that some countries have road names which 
 	often start or end with very similar words, e.g. in France the first word
 	is very often 'Rue', often followed by a preposition like 'de la' or 'des'.
@@ -167,12 +163,12 @@
 	The option specifies the path to a file which gives the details. See 
 	comments in the sample roadNameConfig.txt for further details.
  
---mdr7-excl 
+--mdr7-excl=name[,name...]
 	This option allows you to specify words which should not be in the road index.
 	It was added before option road-name-config and is probably no longer needed.
 	Example usage: --x-mdr7-excl="Road, Street, Straße, Weg"
  
---mdr7-del
+--mdr7-del=name[,name...]
 	Use this option if your style adds strings to the labels of roads which you
 	want to see in the map but which should not appear in the result list
 	of a road name / address search. The list is used like this:
@@ -182,7 +178,7 @@
 	Example: Assume your style adds surface attributes like 'pav.' or 'unp.' to a road
 	label. You can use --mdr7-del="pav.,unp." to remove these appendixes from the index.
 	  
---poi-excl-index
+--poi-excl-index=poi[-poi][,poi[-poi]...]
 	By default, mkgmap indexes the following POI types with a non-empty label:
 	- 0x00 .. 0x0f (cities, sub type 0, type <= 0xf)
 	- 0x2axx..0x30xx (Food & Drink, Lodging, ...)
@@ -280,7 +276,7 @@
 	number used in the overview map and tdb file.  The default
 	number is 63240000.
 
---overview-levels
+--overview-levels=level:resolution[,level:resolution...]
 	Like levels, specifies additional levels that are to be written to the
 	overview map. Counting of the levels should continue. Up to 8 additional 
 	levels may be specified, but the lowest usable resolution with MapSource 
@@ -295,7 +291,7 @@
 	after the overview map was created. The default is to keep the files.  
 
 Style options:
---style-file=file
+--style-file=filename
 	Specify an external file to obtain the style from.  "file" can
 	be a directory containing files such as info, lines, options
 	(see resources/styles/default for an example).  The directory
@@ -318,7 +314,7 @@
 	directory or zip file containing multiple styles. If --style-file 
 	is not used, it selects one of the built-in styles. 
 
---style-option
+--style-option=tag[=value][;tag[=value]...]
 	Provide a semicolon separated list of tags which can be used in the style.
 	The intended use is to make a single style more flexible, e.g.
 	you may want to use a slightly different set of rules for a map of
@@ -340,7 +336,7 @@
 	available within that file. If it is also preceded by the style
 	option it will only check that style.
 
---levels=levels code
+--levels=level:resolution[,level:resolution...]
 	Change the way that the levels on the map correspond to the zoom
 	levels in the device. See customisation help. The hard coded default is:
 	"0:24, 1:22, 2:20, 3:18, 4:16", although each style can have
@@ -347,46 +343,43 @@
 	its own default. The default style for example overwrites it with
 	"0:24, 1:22, 2:20, 3:18". Up to 8 levels may be specified.
 
---name-tag-list
-	Get the tag that will be used to supply the name.  Useful for
-	language variations.  You can supply a list and the first one
-	will be used.  e.g. --name-tag-list=name:en,int_name,name
+--name-tag-list=tag[,tag...]
+	Specify the tag that will be used to supply the name.  Useful for
+	language variations.  You can supply a list of tags and the first one
+	found will be used.  e.g. --name-tag-list=name:en,int_name,name
 
---map-features=file
-	This option is ignored; use the --style-file option instead.
-
 Product description options:
 
---family-id
+--family-id=integer
 	This is an integer that identifies a family of products.
 	Range: [1..9999]
 	Mkgmap default: 6324
 
---family-name
+--family-name=name
 	If you build several maps, this option describes the
 	family name of all of your maps. Garmin will display this
 	in the map selection screen.
 	Example: --family-name="OpenStreetmap mkgmap XL 2019"
 
---product-id
+--product-id=integer
 	This is an integer that identifies a product within a family.
 	It is often just 1, which is the default.
 
---product-version
+--product-version=integer
 	The version of the product. Default value is 100 which means version 1.00.
 
---series-name
+--series-name=name
 	This name will be displayed in MapSource in the map selection
 	drop-down. The default is "OSM map".
 
---area-name
+--area-name=name
 	Area name is displayed on Garmin units (or at least on eTrex) as the second 
 	part of the mapname in the list of the individual maps.
 
---copyright-message=note
+--copyright-message=text
 	Specify a copyright message for files that do not contain one.
 
---copyright-file=file
+--copyright-file=filename
 	Specify copyright messages from a file.
 	Note that the first copyright message is not displayed on a device, but is 
 	shown in BaseCamp. The copyright file must include at least two lines and
@@ -394,7 +387,7 @@
 	$MKGMAP_VERSION$, $JAVA_VERSION$, $YEAR$, $LONG_DATE$, $SHORT_DATE$ and $TIME$.
 	Time and date substitutions use the local date and time formats.
 
---license-file=file
+--license-file=filename
 	Specify a file which content will be added as license.
 	The license file must be UTF-8 encoded.
 	The following symbols will be substituted by mkgmap:
@@ -428,7 +421,7 @@
 	Recommended value is 8 to 15, default is 8.
 	See also polygon-size-limits.
 
---polygon-size-limits=limits code
+--polygon-size-limits=resolution:value[,resolution:value...]
 	Allows you to specify different min-size-polygon values for each resolution.
 	Sample:  
 	--polygon-size-limits="24:12, 18:10, 16:8, 14:4, 12:2, 11:0"
@@ -451,7 +444,7 @@
 2 * 3601 * 3601 = 25.934.402 bytes. Other files are supported as long as the 
 formular sqrt(size/2) gives an integer value.
 
---dem=path[,path]
+--dem=path[,path...]
 	The option expects a comma separated list of paths to directories or zip 
 	files containing *.hgt files. Directories are searched for *.hgt files and 
 	also for *.hgt.zip and *.zip files. 
@@ -460,7 +453,7 @@
 	files, some have so called voids which are areas without data.
 	Those should be avoided.  
  
---dem-dists=number[,number]
+--dem-dists=number[,number...]
 	If given, the option specifies the resolution(s) or zoom level for the DEM 
 	data. If not given, mkgmap tries to determine a reasonable value based on 
 	the resolution found in the *.hgt files. For desktop programs like MapSource or 
@@ -491,7 +484,7 @@
 	for which DEM data should be added to the map. If not given, the DEM data 
 	will cover the full tile area.
   
---overview-dem-dist=number
+--overview-dem-dist=integer
 	If given, the option specifies the resolution(s) for the DEM data in the
 	overview map. If not given or 0, mkgmap will not add DEM to the 
 	overview map. Reasonable values depend on the size of the area and the 
@@ -500,7 +493,7 @@
 
 Miscellaneous options:
 
---max-jobs[=number]
+--max-jobs[=integer]
 	When number is specified, allow that number of maps to be
 	processed concurrently. If number is not specified, the limit
 	is set equal to the number of CPU cores. If this option is not
@@ -511,16 +504,18 @@
 	Don't quit whole application if an exception occurs while
 	processing a map - continue to process the other maps.
 
---block-size=number
+--block-size=integer
 	Changes the block size that is used in the generated map. This
 	option is not usually needed, but sometimes an error message
 	will ask you to try a value for this option.
 
 --net
-	Obsolete, use --route instead.
-
+	Tells mkgmap to write NET data. NET data is needed for routing and for  
+	address search. 
+	  
 --route
-	Create maps that support routing.
+	Tells mkgmap to write NET and NOD data and thus to create a map 
+	that supports routing.   
 
 --drive-on=left|right|detect|detect,left|detect,right
 	Explicitly specify which side of the road vehicles are
@@ -534,11 +529,6 @@
 	Use the --bounds option to make sure that the detection 
 	finds the correct country. 
 	
---drive-on-left
---drive-on-right
-	Deprecated: Use drive-on instead.
-	The options are translated to drive-on=left|right. 
-
 --check-roundabouts
 	Check that roundabouts have the expected direction (clockwise
 	when vehicles drive on the left). Roundabouts that are complete
@@ -662,12 +652,11 @@
 	       * the node with role=label
 	       * the centre point of the biggest area
 
---pois-to-areas-placement[=taglist]
-	A semicolon separated list of tag=value definitions. A POI is placed at the first
-	node of the polygon tagged with the first tag/value pair. If none of the nodes are
-	tagged with the first tag-value pair the first node tagged with the second tag-value
-	pair is used and so on. If none of the tag-value pairs matches or the taglist is empty, 
-	the centre of the polygon is used.
+--pois-to-areas-placement=tag=value[;tag=value...]
+	A POI is placed at the first node of the polygon tagged with the first tag/value
+	pair. If none of the nodes are tagged with the first tag-value pair the first node
+	tagged with the second tag-value pair is used and so on. If none of the tag-value pairs
+	matches or the taglist is empty, 	the centre of the polygon is used.
 	It is possible to define wildcards for tag values like entrance=*.
 	Default: entrance=main;entrance=yes;building=entrance
 
@@ -679,7 +668,7 @@
 	This option can be combined with the generate-sea options multipolygon, polygons 
 	and land-tag. The coastlinefile option is ignored if precomp-sea is set.      
 
---coastlinefile=filename[,filename]
+--coastlinefile=filename[,filename...]
 	Defines a comma separated list of files that contain coastline 
 	data. The coastline data from the input files is removed if 
 	this option is set. Files must have OSM or PBF fileformat.	
@@ -748,10 +737,6 @@
 	Write a .nsi file that can be used with the Nullsoft Scriptable Install System
 	(NSIS) to create a Windows Mapsource Installer.
 
---make-all-cycleways
-	Deprecated, use --make-opposite-cycleways instead. Former meaning: 
-	Turn on all of the options that make cycleways.
-
 --make-opposite-cycleways
 	Some one-way streets allow bicycle traffic in the reverse
 	direction and this option makes a way with the same points as
@@ -814,7 +799,7 @@
 	hint where to leave the major road.
 	The first part must have type 0x08 or 0x09 so that Garmin uses the hint. 
 	
---delete-tags-file=FILENAME
+--delete-tags-file=filename
 	Names a file that should contain one or more lines of the form
 	TAG=VALUE or TAG=*. Blank lines and lines that start with
 	a # or ; are ignored. All tag/value pairs in the OSM input are
@@ -875,3 +860,22 @@
 	smaller features are rendered over larger ones (assuming _drawOrder
 	is equal). The tag mkgmap:drawLevel can be used to override the
 	natural area of a polygon, so forcing changes to the rendering order. 
+
+Deprecated and Obsolete Options
+
+--drive-on-left
+--drive-on-right
+	Deprecated; use drive-on instead.
+	The options are translated to drive-on=left|right. 
+
+--make-all-cycleways
+	Deprecated, use --make-opposite-cycleways instead. Former meaning: 
+	Turn on all of the options that make cycleways.
+
+--charset=name
+	Obsolete; use --code-page instead.
+	option.
+
+--map-features=filename
+	Obsolete; use --style-file instead.
+
